## ossmixer ossmixer — Control sound input and output levels with OSS |

## Properties

gchar * | device-name | Read
gchar * | device | Read / Write

## Types and Values

struct | GstOssMixerElement

## Object Hierarchy

        GObject
        ╰── GstObject
            ╰── GstElement
                ╰── GstOssMixerElement

## Implemented Interfaces

GstOssMixerElement implements GstImplementsInterface and GstMixer.

## Description

## Synopsis

### Element Information

plugin | ossaudio
author | Andrew Vander Wingo <wingo@pobox.com>
class | Generic/Audio

### Element Pads

## Functions

## Types and Values

### struct GstOssMixerElement

    struct GstOssMixerElement;

## Property Details

### The `“device-name”` property

      “device-name”              gchar *

Human-readable name of the sound device.

Flags: Read

Default value: NULL

### The `“device”` property

      “device”                   gchar *

OSS mixer device (usually /dev/mixer).

Flags: Read / Write

Default value: "/dev/mixer"